=== debian/changelog ===
ros-indigo-wpi-jaco-wrapper (0.0.25-0trusty) trusty; urgency=high

  * small bugfix on arm initialization status
  * Fixed a trajectory following bug involving trajectories coming in from MoveIt
  * Bugfix for kinova_gripper param
  * Added kinova_gripper parameter, setting it to false will remove the action servers specifically using the two- or three-fingered kinova gripper designed for use with the jaco or mico
  * Added initial support for the Jaco2 arm, see readme for details
  * Added initial support for the Jaco2 arm, see readme for details
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.24-0trusty) trusty; urgency=high

  * reverted changelog
  * changelog updated
  * Added parameter to make homing the arm on initialization optional
  * Added a fingers_controller_radian action server to better integrate with MoveIt! using joint_state information for gripper close/open actions
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.23-0trusty) trusty; urgency=high

  * Adjusted startup delay on gripper action finished check
  * Fixes to sometimes incorrect reporting of gripper action result in the jaco_manipulation action server
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Mon, 04 May 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.22-0trusty) trusty; urgency=high

  * Removed an out of date debug statement that was filling up the logs
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.21-0trusty) trusty; urgency=high

  * Check if InitApi is succesful.
  * Contributors: Mathijs de Langen

 -- David Kent <davidkent@wpi.edu>  Fri, 17 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.20-0trusty) trusty; urgency=high

  * typo
  * Server starts immediately and we check if the arm is initialized in the callback function
  * Revert "file not used"
    This reverts commit 51053ff0f7325aef8ee1345cefbe790f48ba003b.
  * file not used
  * Forgotten { during merge
  * Merge branch 'develop' of https://github.com/RobotRose/wpi_jaco into develop
    Conflicts:
    wpi_jaco_wrapper/include/wpi_jaco_wrapper/jaco_arm_trajectory_node.h
    wpi_jaco_wrapper/launch/arm.launch
    wpi_jaco_wrapper/src/jaco_arm_trajectory_node.cpp
  * default to mico_arm for us :P
  * moveitmodel
  * Making the jaco_arm_trajectory node work for MoveIt! with the Mico
  * Made some remapping for the arm.launch (so the topics are in order)
  * Finger speed added as constant (3000 is ~half of the Mico speeds)
  * debug ON
  * Changed joint_state publisher to what MoveIt! understands (change back in future)
  * movements somewhat slower
  * Finger speed added as constant (3000 is ~half of the Mico speeds)
  * Merge remote-tracking branch 'upstream/master' into develop
  * debug ON
  * Changed joint_state publisher to what MoveIt! understands (change back in future)
  * movements somewhat slower
  * Contributors: Mathijs de Langen

 -- David Kent <davidkent@wpi.edu>  Tue, 14 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.19-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.18-0trusty) trusty; urgency=high

  * Publish a message after the arm homes using the kinova api
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.17-0trusty) trusty; urgency=high

  * CMake typo fix
  * install files missing
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.16-0trusty) trusty; urgency=high

  * Removed some debugging output
  * Put back the remapping
  * Removed the *0.8 for testing
  * Added some comments for the parameters
  * finger_threshold, made error counting for mico depend on two/three fingers
  * added finger_error_threshold as configurable parameter
  * added finger_error_threshold as configurable parameter
  * Moved the } two lines to below (WRONG MERGE:/)
  * removed space
  * recommented stuff
  * for loops for the fingers
  * newline
  * Newlines at end of file
  * Load params for each node
  * Deal with different number of fingers
  * Removed test code
  * private nodehandle not needed
  * Made num finger joints configurable
  * added parameters, fixed typo
  * forgotten nodehandle
  * actionlib typedefs, made actionlib constructs pointer so parameters can be loaded first
  * Synced all topics names with arm_name_
  * conversions topic uses arm name parameter
  * made loadParameters a const function
  * Renamed variables to follow ROS naming conventions
  * Topic renaming
  * Renamed topics
  * Made jaco_arm_trajectory_node configurable
  * Configurable parameters via #defines added
  * Missing a lock in the gripper action server, should fix a potential crash with the jaco
  * Changed gripper action success conditions to better reflect reality
  * Removed redundant messages
  * Updated jaco interaction to use the new rail_manipulation_msgs
  * Switched jaco_manipulation to use rail_manipulation_msgs
  * Contributors: David Kent, Mathijs de Langen

 -- David Kent <davidkent@wpi.edu>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.15-0trusty) trusty; urgency=high

  * Documentation
  * adjustment to erase trajectories service
  * Merge branch 'develop' of https://github.com/RIVeR-Lab/wpi_jaco into develop
  * Added some minor service calls to support some other packages
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.14-0trusty) trusty; urgency=high

  * Added software estop for the arm
  * Contributors: David Kent


